Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cactus.server
Class AbstractHttpServletRequestWrapper23

    java.lang.Object
      org.apache.cactus.server.AbstractHttpServletRequestWrapper
          org.apache.cactus.server.AbstractHttpServletRequestWrapper23

All Implemented Interfaces:
  javax.servlet.http.HttpServletRequest, javax.servlet.ServletRequest

Direct Known Subclasses:
  HttpServletRequestWrapper

public abstract class AbstractHttpServletRequestWrapper23
extends AbstractHttpServletRequestWrapper

Extends `AbstractHttpServletRequestWrapper` by adding the new methods of the Servlet 2.3 API specifications.

Version:
  $Id: AbstractHttpServletRequestWrapper23.java 238993 2004-05-22 16:39:34Z vmassol $
See Also:
  `AbstractHttpServletRequestWrapper`

Field Summary

Fields inherited from class org.apache.cactus.server.AbstractHttpServletRequestWrapper
`remoteHostName, remoteIPAddress, remoteUser, request, url`

Fields inherited from interface javax.servlet.http.HttpServletRequest
`BASIC_AUTH, CLIENT_CERT_AUTH, DIGEST_AUTH, FORM_AUTH`

Constructor Summary
`AbstractHttpServletRequestWrapper23(javax.servlet.http.HttpServletRequest theRequest, ServletURL theURL)` Construct a `HttpServletRequest` instance that delegates it's method calls to the request object passed as parameter and that uses the URL passed as parameter to simulate a URL from which the request would come from.

Method Summary
`java.util.Map` | `getParameterMap()`
`java.lang.StringBuffer` | `getRequestURL()`
`void` | `setCharacterEncoding(java.lang.String theEnvironment)`

Methods inherited from class org.apache.cactus.server.AbstractHttpServletRequestWrapper
`getAttribute, getAttributeNames, getAuthType, getCharacterEncoding, getContentLength, getContentType, getContextPath, getCookies, getDateHeader, getHeader, getHeaderNames, getHeaders, getInputStream, getIntHeader, getLocale, getLocales, getMethod, getOriginalRequest, getParameter, getParameterNames, getParameterValues, getPathInfo, getPathTranslated, getProtocol, getQueryString, getReader, getRealPath, getRemoteAddr, getRemoteHost, getRemoteUser, getRequestDispatcher, getRequestedSessionId, getRequestURI, getScheme, getServerName, getServerPort, getServletPath, getSession, getSession, getUserPrincipal, isRequestedSessionIdFromCookie, isRequestedSessionIdFromUrl, isRequestedSessionIdFromURL, isRequestedSessionIdValid, isSecure, isUserInRole, removeAttribute, setAttribute, setRemoteHostName, setRemoteIPAddress, setRemoteUser`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractHttpServletRequestWrapper23

    public AbstractHttpServletRequestWrapper23(javax.servlet.http.HttpServletRequest theRequest,
                                               ServletURL theURL)

  Construct a `HttpServletRequest` instance that delegates it's method calls to the request object passed as parameter and that uses the URL passed as parameter to simulate a URL from which the request would come from.

Parameters:
  `theRequest` - the real HTTP request
  `theURL` - the URL to simulate or `null` if none

Method Detail

### getRequestURL

    public java.lang.StringBuffer getRequestURL()

  Returns:
    the URL from the simulated URL or the real URL if a simulation URL has not been defined.
  See Also:
    `HttpServletRequest.getRequestURL()`

### setCharacterEncoding

    public void setCharacterEncoding(java.lang.String theEnvironment)
                              throws java.io.UnsupportedEncodingException

  Throws:
    `java.io.UnsupportedEncodingException`
  See Also:
    `ServletRequest.setCharacterEncoding(String)`

### getParameterMap

    public java.util.Map getParameterMap()

  See Also:
    `ServletRequest.getParameterMap()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.